Retrieve a summary of the alert counts for an organization in NetApp Console local deployment
GET /organizations/{organization_id}/alertsummary
Retrieves an alert count summary for the specified organization, grouped by impactArea and severity.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Unique identifier of the organization to which the user belongs. |
Response
Status: 200, Summary of the alerts counts grouped by impactArea and severity.
| Name | Type | Required | Description |
|---|---|---|---|
criticalImpactArea |
True |
Distribution of all critical alerts by impact area. |
|
impactArea |
True |
Distribution of all alerts by impact area. |
|
severity |
True |
Distribution of all alerts by severity. |
Example response
{
"criticalImpactArea": {
"capacity": 1,
"performance": 2,
"protection": 2,
"security": 1
},
"impactArea": {
"capacity": 1,
"performance": 3,
"protection": 5,
"security": 1
},
"severity": {
"critical": 6,
"error": 7,
"informational": 15,
"warning": 8
}
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
criticalImpactArea
Distribution of all critical alerts by impact area.
Hash mapping strings to integer
impactArea
Distribution of all alerts by impact area.
Hash mapping strings to integer
severity
Distribution of all alerts by severity.
Hash mapping strings to integer
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |